Page MenuHomePhabricator

Option not to review article when adding maintenance tags
Closed, ResolvedPublic

Description

According to this old screenshot in the documentations, it was possible to not automaticly review articles when tagging them. I'd like that feature back please. (or at the very least documentation be updated)

(Screenshot from https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Help#/media/File:Curation_Toolbar_Add_TagsBlank_Aug_10_2012.png )

It was apparently removed in T41208: Marking something for deletion or adding maintenance tags should automatically review it
but it would be useful to have this feature back, because sometimes a reviewer will want to tag a page, but delegate the final analysis to some other reviewer.

The only current method, is to tag the article (which automatically marks it as reviewed) and then manually un-review it. The drawback is that the article creator will get 2 notifications then. one for the review, and one for the unreview...

Details

Related Gerrit Patches:

Event Timeline

Josve05a created this task.Oct 17 2016, 2:19 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 17 2016, 2:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Quiddity updated the task description. (Show Details)Oct 17 2016, 2:27 AM
Quiddity updated the task description. (Show Details)Oct 17 2016, 2:29 AM
Quiddity updated the task description. (Show Details)Oct 17 2016, 2:32 AM
Quiddity added a subscriber: Quiddity.

I'm leaning towards decline on this. The option was originally removed in 2012 in order to streamline the reviewing process and match the behavior of Twinkle. I'm not convinced there is enough of a need for it to justify re-adding it, especially since the interface is already quite complicated as it is.

@kaldari Twinkle now includes a checkbox to disable patrolling of the article. There are many situations in which it is inappropriate to mark a page as patrolled when you are tagging it.

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 20 2018, 6:25 PM
SBisson changed the subtype of this task from "Task" to "Feature Request".Oct 16 2018, 1:06 PM
SBisson changed the subtype of this task from "Feature Request" to "Task".Oct 16 2018, 6:41 PM

There are many situations in which it is inappropriate to mark a page as patrolled when you are tagging it.

@TheDragonFire - Can you elaborate on that? When we were originally developing the Page Curation tools we were asked to make tagging automatically mark the article as reviewed (to save the reviewers a step). In what situations would a reviewer tag an article, but not want to mark it as reviewed?

Catrope added a subscriber: Catrope.

Moving this to 'Triaged but future' because many Page Curation tasks are currently part of the 2019 Wishlist Survey

DannyS712 added a comment.EditedJul 23 2019, 3:17 AM

Perhaps the default case should be not marking it as patrolled? I.e., rather than on option not to patrol the page, we simply change it so that, rather than automatically patrolling the page, we don't patrol the page at all unless the "mark this page as patrolled" option in activated

I'm leaning towards decline on this. The option was originally removed in 2012 in order to streamline the reviewing process and match the behavior of Twinkle. I'm not convinced there is enough of a need for it to justify re-adding it, especially since the interface is already quite complicated as it is.

as noted in T148353#3451322, Twinkle has this option now. If the default is to mark it as patrolled (T148353#5356026), then it isn't much of a throttle on the reviewing process, but allows users to add tags without needing to review the entire article

Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 17 2019, 12:34 AM

Change 530648 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Partially revert "bug39208 - Add auto review to tagging/deletion"

https://gerrit.wikimedia.org/r/530648

Change 530649 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Partially revert "bug39208 - Add auto review to tagging/deletion"

https://gerrit.wikimedia.org/r/530649

Change 530648 abandoned by DannyS712:
Partially revert "bug39208 - Add auto review to tagging/deletion"

Reason:
In favor of Icf5d1c73f3ac09c0530a20ca3fa86a4a618aea0a

https://gerrit.wikimedia.org/r/530648

Should I move this to external in Growth-Team ? The patch is ready for review

Moving to inbox to get more eyes - can someone take a look at the patch? Automatically patrolling when tagging was activated based on T41208#468859, and the NPP community would like to have the ability to again choose not to patrol pages when tagging them. See https://en.wikipedia.org/wiki/Wikipedia_talk:New_pages_patrol/Reviewers#Decoupling_maintenance_tagging_and_reviewing for current discussion

As @DannyS712 has pointed out this has received considerable support from among the NPP Community.

@MMiller_WMF @JTannerWMF @Catrope @kostajh @Trizek-WMF @Tgr can someone please take a look at the patch provided? The NPP has consensus to restore this feature that was never requested for removal. (List based on https://phabricator.wikimedia.org/project/members/1114/) Thanks

@DannyS712 -- thank you for working on this. I recently caught up with the members of the Community Tech team, and it sounds like they left you some comments in your code for you to work on. Is that the current status?

@DannyS712 -- thank you for working on this. I recently caught up with the members of the Community Tech team, and it sounds like they left you some comments in your code for you to work on. Is that the current status?

I followed up on the feedback left, and the current status is waiting for further review. Thanks

I've reviewed the pending patch at https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PageTriage/+/530649

@DannyS712 you've answered some of my concerns well, but the two times that I actually tested the patch, it didn't run. The first time it crashed (you've fixed the crashes that I pointed out) and the second it simply does not appear to run properly and I did not find the behavior change you've set.

I might be missing something that is actually running, so I need your confirmation that you have run this locally, successfully, before continuing with the review.

I've reviewed the pending patch at https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PageTriage/+/530649
@DannyS712 you've answered some of my concerns well, but the two times that I actually tested the patch, it didn't run. The first time it crashed (you've fixed the crashes that I pointed out) and the second it simply does not appear to run properly and I did not find the behavior change you've set.
I might be missing something that is actually running, so I need your confirmation that you have run this locally, successfully, before continuing with the

I had to figure out how to install vagrant, mediawiki, etc. - the issue was that it was there, but hidden. I've uploaded a new patch that I have indeed tested locally (first time I was able to test things locally, yay)!

That's great!! Let us know if you need any help on those (though it looks like you're super on top of everything :)

I've looked at the patch again -- it looks good to me. I also like the fact we don't need to put on an event listener anymore (these create some annoyances in PageTriage with the potential to be attached more than once)

However, In a twist of bitter irony (and cruel cruel fate) my vagrant has crashed, and my internet has been acting up very badly, and I couldn't manage to actually retest the patch for merging. So I've +1'ed the patch, and I'll be asking someone from the team to double-check it locally and merge.

Thank you for the work, @DannyS712

Change 530649 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Partially revert "bug39208 - Add auto review to tagging/deletion"

https://gerrit.wikimedia.org/r/530649

DannyS712 closed this task as Resolved.Sun, Jan 12, 10:04 PM

Appears to be working, follow up filed as T242232 is not in the scope of this task